public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: STABLE3 - cman init: clean up status check
Date: Fri, 27 Mar 2009 19:16:00 -0000	[thread overview]
Message-ID: <20090327190649.AF3E312020C@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=5107d461e84ab84a05e8f0c34bf91b0ef36951b5
Commit:        5107d461e84ab84a05e8f0c34bf91b0ef36951b5
Parent:        c062d7a1a908bdd35f9b7dfd2fdf67f7600dcc9e
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Thu Mar 26 11:51:27 2009 +0100
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 27 20:05:46 2009 +0100

cman init: clean up status check

check daemons in the right order

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 09e0580..cdb3a24 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -699,6 +699,13 @@ stop()
 
 cmanstatus()
 {
+	errmsg=$( status corosync 2>&1 ) || return 1
+	cman_running || return 1
+
+	if qdiskd_enabled; then
+		errmsg=$( status qdiskd 2>&1) || return 1
+	fi
+
 	if groupd_enabled; then
 		errmsg=$( status groupd 2>&1) || return 1
 	fi
@@ -711,12 +718,6 @@ cmanstatus()
 		errmsg=$( status cmannotifyd 2>&1) || return 1
 	fi
 
-	if qdiskd_enabled; then
-		errmsg=$( status qdiskd 2>&1) || return 1
-	fi
-
-	errmsg=$( status corosync 2>&1) || return 1
-
 	if fence_xvmd_enabled; then
 		errmsg=$( status fence_xvmd 2>&1) || return 1
 	fi


                 reply	other threads:[~2009-03-27 19:16 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090327190649.AF3E312020C@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).